Models

DeepSeek V4 Flash Vision Exp

tools vision reasoning

deepseek-v4-flash-vision-expDeepSeek model - Advanced AI model with reasoning capabilities

Input / 1M tokens

$0.2156

$0.0000002156 / token

Output / 1M tokens

$0.6468

$0.0000006468 / token

Cached input / 1M

$0.00686

Uptime · 24h

—

No traffic yet

Details

Type
Chat
Input
text, image
Output
text
Context
1,048,576 tokens

Supported parameters

max_tokenstemperaturetop_pstopseedpresence_penaltyfrequency_penaltyresponse_formatpluginstoolstool_choiceparallel_tool_callsreasoningreasoning_effortinclude_reasoning

Last 24 hours

Requests per hour; red = provider errors.

Avg latency
—
Avg first token
—
Throughput
—

Use it

curl https://api.ultragpt.pro/v1/chat/completions \
  -H "Authorization: Bearer $ULTRAGPT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "deepseek-v4-flash-vision-exp",
    "messages": [{ "role": "user", "content": "Hello!" }]
  }'

Anthropic SDK / Claude Code

curl https://api.ultragpt.pro/v1/messages \
  -H "x-api-key: $ULTRAGPT_API_KEY" \
  -H "anthropic-version: 2023-06-01" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "deepseek-v4-flash-vision-exp",
    "max_tokens": 1024,
    "messages": [{ "role": "user", "content": "Hello!" }]
  }'